Subject: [TLS] [Technical Errata Reported] RFC5246 (5409)

From: RFC Errata System <[email-masked]>
Date: Tue, 26 Jun 2018 05:28:58 -0700 (PDT)

The following errata report has been submitted for RFC5246,
"The Transport Layer Security (TLS) Protocol Version 1.2".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5409

--------------------------------------
Type: Technical
Reported by: Eugene Adell <[email-masked]>

Section: Appendix A.5

Original Text
-------------
   Note: The cipher suite values { 0x00, 0x1C } and { 0x00, 0x1D } are
   reserved to avoid collision with Fortezza-based cipher suites in
   SSL 3.

Corrected Text
--------------
   Note: The cipher suite values { 0x00, 0x1C } and { 0x00, 0x1D } are
   reserved to avoid collision with Fortezza-based cipher suites in
   SSL 3. The cipher suite value { 0x00, 0x1E } firstly also assigned to
   Fortezza has been released and has since been be reassigned. 

Notes
-----
RFC 2712 (Addition of Kerberos Cipher Suites to Transport Layer Security) in its Draft 01 version introduces three new cipher suites colliding with the three Fortezza ones. The Draft 02 version partially corrects that, by moving the Kerberos cipher suites values by two.
This omission of the third cipher suite has never been corrected, and this remains in the same state in the final RFC 2712, RFC 2246 and its successors including this one.

Changing the first Kerberos cipher suite value, or moving all of them, would now not make any sense. Enhancing the note as suggested is probably enough to mention how one Fortezza cipher suite disappeared.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC5246 (draft-ietf-tls-rfc4346-bis-10)
--------------------------------------
Title               : The Transport Layer Security (TLS) Protocol Version 1.2
Publication Date    : August 2008
Author(s)           : T. Dierks, E. Rescorla
Category            : PROPOSED STANDARD
Source              : Transport Layer Security
Area                : Security
Stream              : IETF
Verifying Party     : IESG

---

From: Sean Turner <[email-masked]>
Date: Tue, 26 Jun 2018 09:21:12 -0400

First, I think this is editorial.  After all these years, I’m not really sure it’s an interop problem.

Second, if I were making this I would have placed the errata against RFC2712 where the values were assigned.  It’s not really TLS1.2’s place to clear this up.

spt

> On Jun 26, 2018, at 08:28, RFC Errata System <[email-masked]> wrote:
>

---

From: Benjamin Kaduk <[email-masked]>
Date: Tue, 26 Jun 2018 22:30:20 -0500

I don't really think this is a useful erratum against 5246; the note there
is providing an explanation for why certain values are not used (and should
not be used).  But, now, and even at the time 5246 was published, 0x001e
*is* used, and there's no reason to mention it in this context.  One could
perhaps argue that 2712 should have noted that a value was being reused (or
have not reused the value at all), and an errata report against 2712 to add
a new appendix section might be reasonable.

So, absent additional considerations, I plan to reject this report.

-Ben

On Tue, Jun 26, 2018 at 04:01:35PM +0200, Eugène Adell wrote:
> Hello,
> 
> I had some doubts whether it was technical or editorial, and I have looked
> at some accepted errata to choose (maybe not the best method) . I thought
> it was technical, because one cipher suite was replaced by another one, and
> the note already existing gives their numbers, which is a technical
> information.
> 
> Although the "mistake" first appears in RFC2712 draft 01, RFC2246 final
> release was published before the final RFC2712.
> RFC2246 is obsoleted but mentions Fortezza, which RFC2712 doesn't. RFC5246
> being the only non obsoleted child of RFC2246 mentionning the Fortezza
> group, it looked more natural to suggest the errata at this place instead
> of RFC2712 which is fully dedicated to Kerberos.
> 
> 
> best regards
> Eugène
> 
> 
> 
> Le mar. 26 juin 2018 à 15:21, Sean Turner <[email-masked]> a écrit :
> 
> > Second, if I were making this I would have placed the errata against
> > RFC2712 where the values were assigned.  It’s not really TLS1.2’s place to
> > clear this up.
> >
> > spt
> >
> > > RFC 2712 (Addition of Kerberos Cipher Suites to Transport Layer
> > Security) in its Draft 01 version introduces three new cipher suites
> > colliding with the three Fortezza ones. The Draft 02 version partially
> > corrects that, by moving the Kerberos cipher suites values by two.
> > > This omission of the third cipher suite has never been corrected, and
> > this remains in the same state in the final RFC 2712, RFC 2246 and its
> > successors including this one.
> > >
> > > Changing the first Kerberos cipher suite value, or moving all of them,
> > would now not make any sense. Enhancing the note as suggested is probably
> > enough to mention how one Fortezza cipher suite disappeared.
> > >
> > > Instructions:
> > > -------------

---

From: Eugène Adell <[email-masked]>
Date: Wed, 27 Jun 2018 10:08:43 +0200

>From what you both are saying, it looks legitimate to document about this
cipher which disappeared. But not here.
As suggested I will post another editorial errata for RFC2712, in an
appendix form.

Eugene.

2018-06-27 5:30 GMT+02:00 Benjamin Kaduk <[email-masked]>:

> > > First, I think this is editorial.  After all these years, I’m not
> really
> > > sure it’s an interop problem.
> > >
> > > > On Jun 26, 2018, at 08:28, RFC Errata System <
> [email-masked]>
> > > wrote:
> > > >